View Issue Details

IDProjectCategoryView StatusLast Update
0025032LazarusLCLpublic2013-09-21 20:22
ReporterAndrey Zubarev Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Summary0025032: Incorrectly adds items in TComboBox.onDropdown
DescriptionThis GTK2 and QT issue in WIN (and DELPHI) this works.
If I add items in TComboBox.onDropdown handler, this items not shown in this dropdown, only after closing and re-dropdowning (but they can be selected using to scrollbox).
Example attached
TagsNo tags attached.
Fixed in Revision42906
LazTarget-
WidgetsetQT
Attached Files

Activities

Andrey Zubarev

2013-09-15 23:03

reporter  

test3.zip (129,776 bytes)

Zeljan Rikalo

2013-09-18 13:32

developer   ~0070157

Won't be easy to fix it to get it work as on windows. Use OnGetItems() as workaround for now - that should work on all ws. Problem is that OnDropDown is called when combo list is inside QEventShow() so underlaying model (QAbstractItemModel) does not trigger changes to list widget.

Andrey Zubarev

2013-09-20 17:59

reporter   ~0070213

Thanks. But this works only GTK2 and WIN, QT not

Zeljan Rikalo

2013-09-20 19:38

developer   ~0070215

I've explained why it does not work with Qt. Feel free to attach patch with fix for this problem.

Zeljan Rikalo

2013-09-20 20:19

developer   ~0070217

Pls test and close if ok.

Andrey Zubarev

2013-09-21 20:22

reporter   ~0070227

Thanks

Issue History

Date Modified Username Field Change
2013-09-15 23:03 Andrey Zubarev New Issue
2013-09-15 23:03 Andrey Zubarev File Added: test3.zip
2013-09-17 15:54 Zeljan Rikalo Assigned To => Zeljan Rikalo
2013-09-17 15:54 Zeljan Rikalo Status new => assigned
2013-09-18 13:32 Zeljan Rikalo LazTarget => -
2013-09-18 13:32 Zeljan Rikalo Note Added: 0070157
2013-09-18 13:32 Zeljan Rikalo Status assigned => feedback
2013-09-20 17:59 Andrey Zubarev Note Added: 0070213
2013-09-20 17:59 Andrey Zubarev Status feedback => assigned
2013-09-20 19:38 Zeljan Rikalo Note Added: 0070215
2013-09-20 20:19 Zeljan Rikalo Fixed in Revision => 42906
2013-09-20 20:19 Zeljan Rikalo Note Added: 0070217
2013-09-20 20:19 Zeljan Rikalo Status assigned => resolved
2013-09-20 20:19 Zeljan Rikalo Resolution open => fixed
2013-09-21 20:22 Andrey Zubarev Note Added: 0070227
2013-09-21 20:22 Andrey Zubarev Status resolved => closed